Page MenuHomePhabricator

Only lint pages that have wikitext contentmodel
Closed, ResolvedPublic

Description

The page here: https://cy.wiktionary.org/wiki/MediaWici:Monobook.js
was reported by that wiki's relevant Special Page - https://cy.wiktionary.org/wiki/Arbennig:LintErrors/missing-end-tag as containing a missing/mismatched tag.

I've checked the relevant page and the 'missing' tag is inside a Javascript Comment which should otherwise be ignored.

Confusing, but not unexpected.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2017, 12:47 PM
ShakespeareFan00 renamed this task from Javascript mis-reported as containing missing HTML end tag, (HTML comment appears inside a comment.) to Javascript page mis-reported as containing missing HTML end tag, (HTML tag concerned appears inside a comment.).Apr 21 2017, 12:47 PM
ShakespeareFan00 triaged this task as Low priority.
ssastry renamed this task from Javascript page mis-reported as containing missing HTML end tag, (HTML tag concerned appears inside a comment.) to Only lint pages that have wikitext contentmodel.Apr 21 2017, 4:55 PM
ssastry edited projects, added Parsoid; removed MediaWiki-extensions-Linter.
ssastry moved this task from Backlog to Next Up on the Parsoid board.Apr 27 2017, 2:52 PM
ssastry added a subscriber: ssastry.May 8 2017, 5:49 PM

Hmm .. this may not be sufficient. Mediawiki:Commons.css seems to have the wikitext content model.

Arlolra added a subscriber: Arlolra.May 8 2017, 6:15 PM

Hmm .. this may not be sufficient. Mediawiki:Commons.css seems to have the wikitext content model.

Where are you getting that from?

https://en.wikipedia.org/wiki/Mediawiki:Commons.css?action=info

Page content model	CSS

Change 352634 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T163549: Only lint pages that have wikitext contentmodel

https://gerrit.wikimedia.org/r/352634

Hmm .. this may not be sufficient. Mediawiki:Commons.css seems to have the wikitext content model.

Where are you getting that from?
https://en.wikipedia.org/wiki/Mediawiki:Commons.css?action=info

Page content model	CSS

My mistake .. I had the incorrect command line flags to parse.js!

Change 352634 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T163549: Only lint pages that have wikitext contentmodel

https://gerrit.wikimedia.org/r/352634

Arlolra closed this task as Resolved.May 8 2017, 7:30 PM
Arlolra claimed this task.

You should not lint module pages with wikitext contentmodel. At Wikivoyage/de bogus-image-options were given for lua source code.

https://de.wikivoyage.org/wiki/Spezial:LintErrors/bogus-image-options

It seems that there is the same with missing-end-tag and stipped-tag.

Module pages have no wikitext content model:

Page content model Scribunto

RolandUnger reopened this task as Open.May 9 2017, 8:26 AM
Arlolra closed this task as Resolved.May 9 2017, 1:07 PM

That patch assures that we only lint pages with the wikitext content model.

Generally, though, we close tasks once a fix has been merged, as above. However, it's yet to be deployed.

The extension was deployed but the bug was not yet resolved.

This requires a Parsoid deployment, not the Linter extension.

Parsoid deployments can be tracked here, https://www.mediawiki.org/wiki/Parsoid/Deployments

It most likely won't go out until Monday. Sorry

After today's deploy, these entries will no longer be generated, but existing db entries will continue to show up in the Special:LintErrors page. @Legoktm we should see if there is a simple way to purge the db of these entries.